Subject: Re: [v4tov6transition] draft-arkko-ipv6-transition-guidelines WGLC

From: Fred Baker <[email-masked]>
Date: Wed, 25 Aug 2010 09:29:46 -0700

On Aug 25, 2010, at 9:23 AM, Yiu L. Lee wrote:

> I see NAT64 and DS-lite are like Win9x technology. After few years, most
> people saw the benefits of the new kernel and most developers found it
> expensive to build/support two code streams for the same application.
> Eventually, almost every Windows user and developer migrated to 2000, XP,
> Vista, 7, etc. I hope IPv6 will happen the same way.

That is exactly the intention of each of these so-called "transition" technologies. They are in fact not for the purpose of transition, they are for the purpose of coexistence. But at the point that coexistence is no longer an issue - when either you have a dual stack deployment and can happily talk with either or when the vast majority of the network is in fact capable of using IPv6 end to end and IPv4 is therefore less of an issue - I expect they will be lost in the dust of time.